﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using XmlExample.XML;
namespace XmlExample
{
    public partial class Form1 : Form
    {
        public ExampleXmlClass Example { get; set; }

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (!File.Exists("example.xml"))
                Functions.SaveXML<ExampleXmlClass>("example.xml", Example);

            Example = Functions.LoadXML<ExampleXmlClass>("example.xml");

            textBox1.Text = Example.Setting1;
            textBox2.Text = Example.Setting2;
            textBox3.Text = Example.Setting3.ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Example.Setting1 = textBox1.Text;
            Example.Setting2 = textBox2.Text;
            Example.Setting3 = int.Parse(textBox3.Text);

            Functions.SaveXML<ExampleXmlClass>("example.xml", Example);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Example = new ExampleXmlClass();
        }
    }
}
