﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.IO;

namespace XmlExample.XML
{
    public static class Functions
    {
        public static T LoadXML<T>(string filePath)
        {
            XmlSerializer temp = new XmlSerializer(typeof(T));
            using (StreamReader sr = new StreamReader(filePath))
            {
                return (T)temp.Deserialize(sr);
            }
        }

        public static void SaveXML<T>(string filePath, T obj)
        {
            XmlSerializer temp = new XmlSerializer(typeof(T));
            using (StreamWriter sw = new StreamWriter(filePath))
            {
                temp.Serialize(sw, obj);
            }
        }
    }
}
